const express = require('express')
const app = express()
const bodyParser = require('body-parser')

app.use(bodyParser.urlencoded({ extended: true }))
app.use(bodyParser.json())

const port = process.env.PORT || 4000

const router = express.Router()

router.get('/', (req, res) => {
  res.json({ message: 'Hello!' })
})

app.use('/', router)

app.listen(port, () => { console.log(`Server listening on port ${port}`) })
